Skip to main content
POST
Get job applicants for partner

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Use the /api/login endpoint to obtain a token.

Query Parameters

page
integer

Page number

Example:

1

limit
integer

Items per page

Example:

10

Body

application/json
id
integer
required

Job ID

Example:

1

filter_status
enum<string> | null

Tab filter: Applicants or Hired

Available options:
Applicants,
Hired
Example:

"Hired"

job_status
string | null

Comma-separated status filters (applied, invited, rejected, cancelled, hired, in_progress, completed, voided, payment_request, not_interested, resubmit_needed)

Example:

"applied,hired"

agreement_status
enum<string> | null

Filter by agreement acceptance (Y/N/All)

Available options:
All,
Y,
N
Example:

"All"

not_interested
enum<string> | null

Include not-interested applicants

Available options:
Y,
N
Example:

"N"

order_by
enum<string> | null

1=Applied Asc, 2=Applied Desc, 3=Name Asc, 4=Name Desc, 5=Status Asc, 6=Status Desc, 7=AI Ranking Score

Available options:
1,
2,
3,
4,
5,
6,
7
Example:

"7"

keywordSearch
string | null

Search by athlete name

Example:

"test"

sport_name
string | null

Filter by sport category ID

Example:

"1"

school_name
string | null

Filter by university ID

Example:

"1"

gender
string[] | null

Filter by gender(s)

Example:
is_current_athlete
enum<string> | null

Filter by eligibility status

Available options:
Y,
N
Example:

"Y"

instagram_count
string | null

Instagram follower range (1-5)

Example:

"3"

twitter_count
string | null

Twitter follower range (1-5)

Example:

"3"

filterByInstaMin
string | null

Min Instagram followers

Example:

"1000"

filterByInstaMax
string | null

Max Instagram followers

Example:

"100000"

filterByTwitterMin
string | null

Min Twitter followers

Example:

"100"

filterByTwitterMax
string | null

Max Twitter followers

Example:

"50000"

filterByTiktokMin
string | null

Min TikTok followers

Example:

"500"

filterByTiktokMax
string | null

Max TikTok followers

Example:

"50000"

sortOrderInsta
enum<string> | null

Sort by Instagram followers

Available options:
asc,
desc
Example:

"desc"

sortOrderTwitter
enum<string> | null

Sort by Twitter followers

Available options:
asc,
desc
Example:

"desc"

sortOrderTiktok
enum<string> | null

Sort by TikTok followers

Available options:
asc,
desc
Example:

"desc"

athlete_id
integer | null

Filter by specific athlete ID

Example:

123

excluded_athletes
integer[] | null

Athlete IDs to exclude (for mass messaging)

Example:

Response

200

Job applicants list with pagination and counts